<ion-header>
  <ion-navbar>
    <ion-title>Login</ion-title>

    <ion-buttons end>
      <button ion-button (click)="goToRegisterPage()">
        Register
      </button>
    </ion-buttons>
  </ion-navbar>
</ion-header>

<ion-content>
  <h2 padding>Welcome to Pet Tracker!</h2>

  <form #form="ngForm" (ngSubmit)="performLogin()" novalidate>
    <ion-list>
        <ion-item>
            <ion-label color="primary" stacked>Username (Email)</ion-label>
            <ion-input type="email" placeholder="Email" required [(ngModel)]="loginDetails.username" name="username" clearInput></ion-input>
        </ion-item>

        <ion-item>
            <ion-label color="primary" stacked>Password</ion-label>
            <ion-input type="password" placeholder="Password" required [(ngModel)]="loginDetails.password" name="password" clearInput></ion-input>
        </ion-item>
    </ion-list>
    <div padding>
    <button ion-button block type="submit" [disabled]="!form.valid">Sign in</button>
    </div>
  </form>
</ion-content>